/// <reference types="react" />
import { BaseLogicExpression } from "./BaseLogic";
import { XExecutionData } from "../../../Common/Data/ExecutionData/XExecutionData";
import { ITestingContext } from "../../../Common/Testing/ITestingContext";
import { ValidationIssue } from "../../../Common/IDesignValidationProvider";
export declare class ExistsExpression extends BaseLogicExpression {
    readonly __type: string;
    dataPath?: string;
    render(): JSX.Element;
    evaluate(data: XExecutionData, testContext: ITestingContext | undefined): any;
    getStorageData(): object;
    setStorageData(data: object): void;
    getValidationIssues(): ValidationIssue[];
}
